Skip to content
Last updated

title: Promote Workflow To Assistant keywords:

  • promote workflow to assistant
  • post
  • promote
  • workflow
  • assistant

Promote a workflow to an assistant.

POSThttps://api.aitronos.com/v1/workflows/{workflow_id}/promote-to-assistant

Path Parameters

workflow_id string required

The workflow id parameter.

Request Body

name string optional

Assistant name (defaults to workflow name)

description string optional

Assistant description

primary_node_id string optional

Node ID to use for settings (required if multiple FreddyLLM nodes)


Returns

assistant_id string

Created assistant ID

workflow_id string

Workflow ID

message string

Success message

cURL
curl -X POST "https://api.aitronos.com/v1/workflows/{workflow_id}/promote-to-assistant" \
  -H "X-API-Key: $FREDDY_API_KEY" \
  -H "Content-Type: application/json"

Response:

201 OK
{
  "assistant_id": "asst_abc123def456",
  "workflow_id": "flow_abc123def456",
  "message": "Operation completed successfully"
}